# cmd_twitch/howl.py
from twitchio.ext import commands
from cmd_common import common_commands as cc
from modules.utility import is_channel_live

def setup(bot):
    """
    Registers the '!howl' command for Twitch.
    """
    @bot.command(name="howl")
    async def cmd_howl(ctx: commands.Context):
        """
        Handle the '!howl' command.

        Usage:
          - !howl -> Attempts a howl.
          - !howl stat <user> -> Looks up howling stats for a user.
        """
        if not await is_channel_live(bot):
            response = cc.handle_howl_command(ctx)
            await ctx.reply(response)
